# chrono - agendas system
# Copyright (C) 2020  Entr'ouvert
#
# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.conf import settings
from django.core.management.base import BaseCommand
from django.utils import translation

from chrono.agendas.models import Desk


class Command(BaseCommand):
    help = 'Synchronize time period exceptions from settings'

    def handle(self, **options):
        translation.activate(settings.LANGUAGE_CODE)
        for desk in Desk.objects.all():
            desk.import_timeperiod_exceptions_from_settings(spool=False)
